Package twisted :: Package application :: Module compat :: Class _ServiceNetwork

[frames | no frames]

## Class _ServiceNetwork

Method Summary
| `__init__(self, app)`
| `addService(self, service)`
| `connectSSL(self, host, port, factory, ctxFactory, timeout, bindAddress)`
| `connectTCP(self, host, port, factory, timeout, bindAddress)`
| `connectUDP(self, remotehost, remoteport, protocol, localport, interface, maxPacketSize)`
| `connectUNIX(self, address, factory, timeout)`
| `connectWith(self, connectorType, *args, **kw)`
| `getServiceNamed(self, name)`
| `listenSSL(self, port, factory, ctxFactory, backlog, interface)`
| `listenTCP(self, port, factory, backlog, interface)`
| `listenUDP(self, port, proto, interface, maxPacketSize)`
| `listenUNIX(self, filename, factory, backlog, mode)`
| `listenWith(self, portType, *args, **kw)`
| `removeService(self, service)`
| `unlistenSSL(self, port, interface)`
| `unlistenTCP(self, port, interface)`
| `unlistenUDP(self, port, interface)`
| `unlistenUNIX(self, filename)`
| `unlistenWith(self, portType, *args, **kw)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.application.compat.IOld...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.application.compat.IOldApplication at 0x890100c>,)

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net